---
provider: clab
#defaults.providers.clab.runtime: podman
defaults:
  device: eos
  devices:
    eos.clab.image: ceos-lab:latest

nodes:
  SPINE1:
    id: 1
  SPINE2:
    id: 2
  LEAF1:
    id: 5
  LEAF2:
    id: 6
  LEAF3:
    id: 7
  LEAF4:
    id: 8

links:
- SPINE1:
    ifindex: 1
  LEAF1:
    ifindex: 1
- SPINE2:
    ifindex: 1
  LEAF1:
    ifindex: 2
- SPINE1:
    ifindex: 2
  LEAF2:
    ifindex: 1
- SPINE2:
    ifindex: 2
  LEAF2:
    ifindex: 2
- SPINE1:
    ifindex: 3
  LEAF3:
    ifindex: 1
- SPINE2:
    ifindex: 3
  LEAF3:
    ifindex: 2
- SPINE1:
    ifindex: 4
  LEAF4:
    ifindex: 1
- SPINE2:
    ifindex: 4
  LEAF4:
    ifindex: 2
- SPINE1:
    ifindex: 47
  SPINE2:
    ifindex: 47
- SPINE1:
    ifindex: 48
  SPINE2:
    ifindex: 48
- LEAF1:
    ifindex: 47
  LEAF2:
    ifindex: 47
- LEAF1:
    ifindex: 48
  LEAF2:
    ifindex: 48
- LEAF3:
    ifindex: 47
  LEAF4:
    ifindex: 47
- LEAF3:
    ifindex: 48
  LEAF4:
    ifindex: 48

addressing:
  mgmt:
    ipv4: 172.16.100.0/24
    start: 100
...
